@set SMLOADER_TAP=smloader.tap
@set HUSBANDCHORES_TAP=husband.tap
@set HUSBANDCHORES_DATA_BLOCK=husband_data_block.tap
@set HUSBANDCHORES_WITH_SMLOADER=husband_smloader.tap

@call clean.bat

@echo Building %SMLOADER_TAP% and %HUSBANDCHORES_TAP%

@rem create TAP files
tools\assembler\pasmo.exe --tapbas -I src\smloader smloader_main.asm %SMLOADER_TAP%
tools\assembler\pasmo.exe --tapbas -I src\husband -I src\husband\libzx husband_main.asm %HUSBANDCHORES_TAP%

@rem DEBUG ONLY (helps with seeing raw sizes)
@rem tools\assembler\pasmo.exe --bin -I src\smloader smloader_main.asm %SMLOADER_TAP%.bin
@rem tools\assembler\pasmo.exe --bin -I src\husband -I src\husband\libzx husband_main.asm %HUSBANDCHORES_TAP%.bin

@rem inject Husband Chores data block into the loader TAP
@rem     first extract Husband Chores from its TAP
tools\smtap\smtap.exe -tap %HUSBANDCHORES_TAP% -extract 3 -outputfile %HUSBANDCHORES_DATA_BLOCK%
@rem     then insert it into the smloader TAP
tools\smtap\smtap.exe -tap %SMLOADER_TAP% -insert 4 -insertfile %HUSBANDCHORES_DATA_BLOCK% -outputfile %HUSBANDCHORES_WITH_SMLOADER%

@rem for information only, print final result TAP's blocks
tools\smtap\smtap.exe -tap %HUSBANDCHORES_WITH_SMLOADER%

@rem wait for a key
@echo:
@echo:
@echo =============================================================================
@echo Done! Execute run.bat, or load %HUSBANDCHORES_WITH_SMLOADER% in your favourite emulator
@echo =============================================================================
@echo:
@pause
